package org.dromara.zhishu.service;


import org.dromara.zhishu.domain.ShopWarehouseAuto;

import java.util.List;

/**
 *
 * @author yxy
 * @date 2026-06-05
 */
public interface IShopWarehouseAutoService {

    /**
     * 查询店铺与仓库自动发布关联
     *
     * @param id 主键
     * @return 店铺与仓库自动发布关联
     */
    ShopWarehouseAuto queryById(Long id);


    /**
     * 查询列表
     * @param bo
     * @return
     */
    List<ShopWarehouseAuto> queryList(ShopWarehouseAuto bo);

    /**
     * 根据店铺ID查询关联列表
     *
     * @param shopId 店铺ID
     * @return 关联列表
     */
    List<ShopWarehouseAuto> queryListByShopId(Long shopId);



    /**
     * 新增店铺与仓库自动发布关联
     *
     * @param bo 店铺与仓库自动发布关联
     * @return 是否新增成功
     */
    Boolean insertByBo(ShopWarehouseAuto bo);

    /**
     * 修改店铺与仓库自动发布关联
     *
     * @param bo 店铺与仓库自动发布关联
     * @return 是否修改成功
     */
    Boolean updateByBo(ShopWarehouseAuto bo);

    /**
     * 根据店铺ID删除关联信息
     *
     * @param shopId 店铺ID
     * @return 是否删除成功
     */
    Boolean deleteByShopId(Long shopId);
}